'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _Card = require('../Card');

var _Card2 = _interopRequireDefault(_Card);

var _GlowingBulbIcon = require('../Icons/GlowingBulbIcon');

var _GlowingBulbIcon2 = _interopRequireDefault(_GlowingBulbIcon);

var _InfoIcon = require('../Icons/InfoIcon');

var _InfoIcon2 = _interopRequireDefault(_InfoIcon);

var _WarningSignIcon = require('../Icons/WarningSignIcon');

var _WarningSignIcon2 = _interopRequireDefault(_WarningSignIcon);

var _styles = require('./styles');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var InsightNotification = function (_Component) {
    _inherits(InsightNotification, _Component);

    function InsightNotification() {
        _classCallCheck(this, InsightNotification);

        return _possibleConstructorReturn(this, (InsightNotification.__proto__ || Object.getPrototypeOf(InsightNotification)).apply(this, arguments));
    }

    _createClass(InsightNotification, [{
        key: 'render',
        value: function render() {
            var hasDescription = Boolean(this.props.description);

            return _react2.default.createElement(
                _Card2.default,
                { padding: '0', boxShadow: '0', width: '100%' },
                _react2.default.createElement(
                    _styles.Head,
                    { type: this.props.type },
                    _react2.default.createElement(
                        _styles.IconWrapper,
                        null,
                        InsightNotification.getIcon(this.props.type)
                    ),
                    _react2.default.createElement(
                        _styles.NotificationMessage,
                        { hasDescription: hasDescription },
                        _react2.default.createElement(
                            _styles.Message,
                            null,
                            this.props.title
                        ),
                        hasDescription && _react2.default.createElement(
                            _styles.Description,
                            null,
                            this.props.description
                        )
                    )
                ),
                this.props.children && _react2.default.createElement(
                    _styles.Body,
                    null,
                    this.props.children
                )
            );
        }
    }]);

    return InsightNotification;
}(_react.Component);

InsightNotification.getIcon = function (type) {
    var icon = void 0;
    switch (type) {
        case 'error':
            icon = _react2.default.createElement(_WarningSignIcon2.default, null);
            break;
        case 'info':
            icon = _react2.default.createElement(_InfoIcon2.default, null);
            break;
        case 'highlight':
        default:
            icon = _react2.default.createElement(_GlowingBulbIcon2.default, null);
    }
    return icon;
};

InsightNotification.propTypes = {
    type: _propTypes.PropTypes.string,
    title: _propTypes.PropTypes.string.isRequired,
    description: _propTypes.PropTypes.string,
    children: _propTypes.PropTypes.element
};

InsightNotification.defaultProps = {
    type: 'highlight',
    description: undefined,
    children: undefined
};

exports.default = InsightNotification;