'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.Body = exports.Description = exports.Message = exports.NotificationMessage = exports.Head = exports.IconWrapper = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _templateObject = _taggedTemplateLiteral(['\n    border: 1px solid ', ';\n'], ['\n    border: 1px solid ', ';\n']),
    _templateObject2 = _taggedTemplateLiteral(['\n    margin-right: 10px;\n'], ['\n    margin-right: 10px;\n']),
    _templateObject3 = _taggedTemplateLiteral(['\n    background-color: ', ';\n    padding: 10px;\n    display: flex;\n    position: relative;\n    overflow: hidden;\n'], ['\n    background-color: ', ';\n    padding: 10px;\n    display: flex;\n    position: relative;\n    overflow: hidden;\n']),
    _templateObject4 = _taggedTemplateLiteral(['\n    width: 100%;\n    overflow: hidden;\n    ', ';\n'], ['\n    width: 100%;\n    overflow: hidden;\n    ', ';\n']),
    _templateObject5 = _taggedTemplateLiteral(['\n    display: block;\n    overflow: hidden;\n    white-space: nowrap;\n    text-overflow: ellipsis;\n'], ['\n    display: block;\n    overflow: hidden;\n    white-space: nowrap;\n    text-overflow: ellipsis;\n']),
    _templateObject6 = _taggedTemplateLiteral(['\n    color: ', ';\n'], ['\n    color: ', ';\n']),
    _templateObject7 = _taggedTemplateLiteral(['\n    border-top: 0px;\n'], ['\n    border-top: 0px;\n']);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _colorCodes = require('../../colorCodes');

var _polished = require('polished');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var defaultProps = {
    theme: _extends({}, _colorCodes.guidelineColors)
};

var Border = _styledComponents2.default.div(_templateObject, _colorCodes.guidelineColors.border.primary);

var headColor = function headColor(type) {
    switch (type) {
        case 'error':
            return (0, _polished.rgba)(_colorCodes.guidelineColors.states.error, _colorCodes.lightenColors.lightest);
        case 'info':
            return (0, _polished.rgba)(_colorCodes.guidelineColors.accent.primary, _colorCodes.lightenColors.lightest);
        case 'highlight':
        default:
            return (0, _polished.rgba)(_colorCodes.guidelineColors.states.warning, _colorCodes.lightenColors.lightest);
    }
};

var alignVertical = function alignVertical(hasDescription) {
    if (hasDescription) return '';
    return '\n        display: flex;\n        justify-content: left;\n        align-items: center;\n    ';
};

var IconWrapper = exports.IconWrapper = _styledComponents2.default.div(_templateObject2);

var Head = exports.Head = Border.extend(_templateObject3, function (props) {
    return headColor(props.type);
});

var NotificationMessage = exports.NotificationMessage = _styledComponents2.default.div(_templateObject4, function (props) {
    return alignVertical(props.hasDescription);
});

var Message = exports.Message = _styledComponents2.default.span(_templateObject5);

var Description = Message.extend(_templateObject6, function (props) {
    return props.theme.text.secondary;
});

Description.defaultProps = defaultProps;

exports.Description = Description;
var Body = exports.Body = Border.extend(_templateObject7);